package com.brilliance.isc.bo.lg;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.isc.bo.model.Gcdgrp;
import com.brilliance.isc.bo.model.Gidgrp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.FremsgVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class PctfreStoreBo extends BaseTransactionVo {
    private Gcdgrp gcdgrp;
    private Gidgrp gidgrp;
    private FremsgVo fremsg;
    private JSONArray sndmtList;
    private SwiaddVo swiadd;
    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if(gcdgrp == null){
            gcdgrp = new Gcdgrp();
        }
        gcdgrp.reset();
        if(fremsg == null){
            fremsg = new FremsgVo();
        }
        fremsg.reset();
        if(swiadd == null){
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
    }
}
